<?php

/**
 * @file Includes any ubercart integration provided by the module.
 */

/**
 * Implementation of hook_uc_order().
 */
function uc_deposit_uc_order($op, $order, $arg2) {
  // During checkout, if the free order payment method is used, log a $0.00
  // payment for the order to trigger any necessary predicates.
  //在结算期间，如果使用了预付款，减去相应的金额
  if ($op == 'submit' && $order->payment_method == 'deposit') {
    global $user;
    $current_deposit = uc_deposit_get_user_current_deposit($user->uid);
    if ($current_deposit >= $order->order_total) {
      //向uc_deposit中插入一个deposit记录
      $sql = "INSERT INTO {uc_deposit} (uid, deposit, time_stamp, changed, description) VALUES(:uid, :deposit, :time_stamp, :changed, :description)";
      $current_time = time();
      //global $user;
      db_query($sql, array(':uid' => $user->uid, ':deposit' => -$order->order_total, ':time_stamp' => $current_time, ':changed' => $current_time, ':description' => t('在订单(ID:@order_id)结算中使用预付款支付', array('@order_id' => $order->order_id))));
      //获取序列号ID
	   //print debug($order->order_total);
      uc_payment_enter($order->order_id, 'deposit', $order->order_total, 0, NULL, t('使用预付款支付结算完成.'));
    }
    else {
      //向uc_deposit中插入一个deposit记录
      $sql = "INSERT INTO {uc_deposit} (uid, deposit, time_stamp, changed, description) VALUES(:uid, :deposit, :time_stamp, :changed, :description)";
      $current_time = time();
      //global $user;
      db_query($sql, array(':uid' => $user->uid, ':deposit' => -$order->order_total, ':time_stamp' => $current_time, ':changed' => $current_time, ':description' => t('在订单(ID:@order_id)结算中使用预付款支付', array('@order_id' => $order->order_id))));
      //获取序列号ID
      uc_payment_enter($order->order_id, 'deposit', $current_deposit, 0, NULL, t('使用预付款支付结算.'));
    }
  }
}